import { flags } from "./adapptypes.js";
const cache = await browser.storage.local.get(flags);
for (let i = 0, len = flags.length; i < len; i++) {
    const box = flags[i];
    const checkbox = document.getElementById(box);
    if (!checkbox)
        continue;
    checkbox.checked = cache[box] ?? (box === 'vrmlview' || box === 'joyce');
}
document.body.addEventListener('click', function (event) {
    const elt = event.target;
    if (!(elt.tagName === 'INPUT' && elt.type === 'checkbox'))
        return;
    return browser.storage.local.set({ [elt.id]: elt.checked });
});
